Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common
Class SingleIntervalHandler

    java.lang.Object
      cpw.mods.fml.common.SingleIntervalHandler

All Implemented Interfaces:
  IScheduledTickHandler, ITickHandler

    public class SingleIntervalHandler

extends Object
implements IScheduledTickHandler

Constructor Summary
`SingleIntervalHandler(ITickHandler handler)`

Method Summary
`String` | `getLabel()` A profiling label for this tick handler
`int` | `nextTickSpacing()` Return the number of actual ticks that will pass before your next tick will fire.
`void` | `tickEnd(EnumSet<TickType> type, Object... tickData)` Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks
`EnumSet<TickType>` | `ticks()` Returns the list of ticks this tick handler is interested in receiving at the minute
`void` | `tickStart(EnumSet<TickType> type, Object... tickData)` Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleIntervalHandler

    public SingleIntervalHandler(ITickHandler handler)

Method Detail

### tickStart

    public void tickStart(EnumSet<TickType> type,
                          Object... tickData)

  Description copied from interface: `ITickHandler`
  Called at the "start" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Specified by:
    `tickStart` in interface `ITickHandler`

### tickEnd

    public void tickEnd(EnumSet<TickType> type,
                        Object... tickData)

  Description copied from interface: `ITickHandler`
  Called at the "end" phase of a tick Multiple ticks may fire simultaneously- you will only be called once with all the firing ticks

  Specified by:
    `tickEnd` in interface `ITickHandler`

### ticks

    public EnumSet<TickType> ticks()

  Description copied from interface: `ITickHandler`
  Returns the list of ticks this tick handler is interested in receiving at the minute

  Specified by:
    `ticks` in interface `ITickHandler`

### getLabel

    public String getLabel()

  Description copied from interface: `ITickHandler`
  A profiling label for this tick handler

  Specified by:
    `getLabel` in interface `ITickHandler`

### nextTickSpacing

    public int nextTickSpacing()

  Description copied from interface: `IScheduledTickHandler`
  Return the number of actual ticks that will pass before your next tick will fire. This will be called just after your last tick fired to compute the next delay.

  Specified by:
    `nextTickSpacing` in interface `IScheduledTickHandler`
  Returns:
    Time until next tick

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD